Skip to main content
GET
/
2025-01
/
marketing-solutions
/
advertisers
/
{advertiser-id}
/
coupons
/2025-01/marketing-solutions/advertisers/{advertiser-id}/coupons
curl --request GET \
  --url https://api.criteo.com/2025-01/marketing-solutions/advertisers/{advertiser-id}/coupons \
  --header 'Authorization: Bearer <token>'
{
  "data": [
    {
      "attributes": {
        "adSetId": "<string>",
        "advertiserId": "<string>",
        "author": "<string>",
        "description": "<string>",
        "endDate": "<string>",
        "format": "<string>",
        "id": "<string>",
        "images": [
          {
            "height": 123,
            "slideUrls": [
              "<string>"
            ],
            "width": 123
          }
        ],
        "landingPageUrl": "<string>",
        "name": "<string>",
        "rotationsNumber": 123,
        "showDuration": 123,
        "showEvery": 123,
        "startDate": "<string>",
        "status": "<string>"
      },
      "id": "<string>",
      "type": "<string>"
    }
  ],
  "errors": [
    {
      "code": "<string>",
      "detail": "<string>",
      "instance": "<string>",
      "source": {},
      "stackTrace": "<string>",
      "title": "<string>",
      "traceId": "<string>",
      "traceIdentifier": "<string>"
    }
  ],
  "warnings": [
    {
      "code": "<string>",
      "detail": "<string>",
      "instance": "<string>",
      "source": {},
      "stackTrace": "<string>",
      "title": "<string>",
      "traceId": "<string>",
      "traceIdentifier": "<string>"
    }
  ]
}

Authorizations

Authorization
string
header
required

The access token received from the authorization server in the OAuth 2.0 flow.

Path Parameters

advertiser-id
string
required

The advertiser identifier.

Query Parameters

limit
integer<int32> | null

The number of coupons to be returned. The default is 50.

offset
integer<int32> | null

The (zero-based) offset into the collection of coupons. The default is 0.

Response

200 - application/json

The list of self-services Coupons is returned.

A top-level object that encapsulates a Criteo API response for several entities.

data
(object | null)[] | null

A class that represents a domain entity exposed by an API.

errors
object[] | null
read-only
warnings
object[] | null
read-only